﻿@model FInalTest.Models.PlaceModels.PlaceFilterModel

@{
    ViewData["Title"] = "Index";
}

<h1>All PLACES</h1>


<div class="container">
    <div class="row">
        @foreach (var item in Model.Places)
        {
            <div class="col-10 mx-auto col-sm-6 col-md-4 col-lg-3 py-3">
                <div class="card-body">
                    <a asp-action="DetailsPlace" asp-route-placeId="@item.Id">
                        <img style="width: 100%; height: 10%" src="@Url.Content(item.FilePath)" />
                    </a>
                    <h5>
                        <a asp-action="DetailsPlace" asp-route-placeId="@item.Id">
                            @Html.DisplayFor(modelItem => item.Name)
                        </a>
                    </h5>
                    <p>
                        @Html.DisplayFor(modelItem => item.Description)
                    </p>
                    <p>
                        комментариев:@item.Comments.Count
                    </p>
                    <p>
                        фотографий: @item.Pictures.Count
                    </p>
                    <p>
                        рейтинг: @item.RatingScore
                    </p>


                </div>
            </div>
        }
    </div>
</div>



@if (Model.PlacePageModel.HasPreviousPage)
{
    <a asp-action="Index"
       asp-route-SearchKey="@Model.SearchKey"
       asp-route-page="@(Model.PlacePageModel.PageNumber - 1)"
       class="btn btn-outline-dark btn">
        <i class="glyphicon glyphicon-chevron-left"></i>
        Prev
    </a>
}

<span style="margin: 20px">@Model.PlacePageModel.PageNumber</span>

@if (Model.PlacePageModel.HasNextPage)
{
    <a asp-action="Index"
       asp-route-SearchKey="@Model.SearchKey"
       asp-route-page="@(Model.PlacePageModel.PageNumber + 1)"
       class="btn btn-outline-dark btn">
        <i class="glyphicon glyphicon-chevron-right"></i>
        Next
    </a>
}

